Up

# STLanguage class documentation

### Authors

Stefan Urbanek(`urbanek@host.sk` )

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STLanguage class

## STLanguage : NSBundle

> Declared in:
>   StepTalk/STLanguage.h

Description forthcoming.

Method summary

- +allKnownFileTypes
- +allLanguageNames
- +defaultLanguageName
- +languageForFileType:
- +languageNameForFileType:
- +languageWithName:
- +languageWithPath:
- -engine
- -languageName

### allKnownFileTypes

+ (NSArray*) allKnownFileTypes;

Return all known types (extensions) of StepTalk script files

### allLanguageNames

+ (NSArray*) allLanguageNames;

Returns an array containing the names of all available languages

### defaultLanguageName

+ (NSString*) defaultLanguageName;

Returns the name of default scripting language specified by the STDefaultLanguageName default. If there is no such default in user's defaults database, then Smalltalk is used.

### languageForFileType:

+ (STLanguage*) languageForFileType: (NSString*)fileType;

Returns the language bundle for a language used by files of type fileType.

### languageNameForFileType:

+ (NSString*) languageNameForFileType: (NSString*)fileType;

Returns name of a language used by files of type fileType.

### languageWithName:

+ (id) languageWithName: (NSString*)languageName;

Returns language bundle for a language with name languageName

### languageWithPath:

+ (id) languageWithPath: (NSString*)path;

Returns language bundle for language with name languageName.

### engine

- (STEngine*) engine;

Returns a scripting engine provided by the language.

### languageName

- (NSString*) languageName;

Returns the name of the language

Up